/***************************************************************************
 *   Copyright (C) 2005 by Rico Rommel   *
 *   ricorommel@web.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <sys/types.h>
#include <sys/stat.h>
#include "userdata.h"


#ifndef _FILEINDEX_DEFINED
typedef struct  {

	uid_t userid;
	char *relpath;
	char *abspath;
	time_t modtime;
	int filetyp;
	
} _fileindex;
#define _FILEINDEX_DEFINED
#endif


int FindFileinIndex(char *, _fileindex *, int indexcount);

_fileindex *CreateFileIndex(struct _userdata *, int, int*);

static int AddFileToIndex(const char *, struct stat *, int);

int FindFileInIndex(const char *, _fileindex *, int);
